General
Getting Started
Quick Install
Using with Cordova
Using with Ionic
Using with Meteor
Using with ES Modules
Mobiscroll CLI
Working with the Source
Instance
Customizing the Look and Feel
Upgrade From Trial
Utility functions
Unit Testing
Update version
Upgrade Guide v5
Date & Time pickers
Event Calendar
Form components
Page layout
Tools
Accessibility
This version of the documentation is outdated. Check the latest version here!
Install Mobiscroll in your web or mobile app
Installing Mobiscroll only takes a couple of minutes. Once the right resources are included, you’ll be able to initialize and use Mobiscroll controls.
Start a trial
First, start a free trial by entering your email address on the Mobiscroll homepage and create your account.
This is how the free trial works:
- You can try Mobiscroll for free.
-
The trial needs an active connection to Mobiscroll servers for validation. Don't worry, the licensed product will work offline with downloadable resource files.
Read about the differences between trial and licensed products. - You can upgrade to the licensed product at any time during or after your trial.
Enter your first name, set a password and you're ready to go!
Pick the Framework you are using and hit the big blue button to download the trial. Select
- JAVASCRIPT if you are working with plain JS
- JQUERY if you are using jQuery or jQuery Mobile
- ANGULAR for Angular 9+ (including the latest version)
- IONIC for Ionic Framework
- REACT for React apps
- Finally, If you don't see the framework you are working with, pick USING SOMETHING ELSE. You can use the plain JS API wherever Javascript runs. Use it with VUE, Knockout ...
Here is how to install the trial in your local project
Step 1: Install the Mobiscroll CLI and configure the app
Install Mobiscroll CLI from NPM (you'll only have to do it once).
$ npm install -g @mobiscroll/cli
Run mobiscroll config react in your terminal window.
$ mobiscroll config react
If you're working behind a proxy server, additional configuration might be needed.
Please check the proxy configuration options in the documentation.
The package will be installed from a private npm registry, which requires authentication.
If your project uses a CI/CD workflow,
read this guide
on how to make it work.
Step 2: Import Mobiscroll CSS and JS resources and let's see if Mobiscroll was installed correctly
To test it let's import the Mobiscroll resources and add a simple Mobiscroll Date picker to your component's render function.
import React from 'react';
// import the datepicker
import { Datepicker } from '@mobiscroll/react';
function App() {
const [myValue, setMyValue] = React.useState(null);
const myChange = (ev) => {
setMyValue(ev.value);
}
return <Datepicker value={myValue} onChange={myChange} />
}

Install Mobiscroll in your web or mobile app
Installing Mobiscroll only takes a couple of minutes. Once the right resources are included, you’ll be able to initialize and use Mobiscroll controls.
Start a trial
First, start a free trial by entering your email address on the Mobiscroll homepage and create your account.
This is how the free trial works:
- You can try Mobiscroll for free.
-
The trial needs an active connection to Mobiscroll servers for validation. Don't worry, the licensed product will work offline with downloadable resource files.
Read about the differences between trial and licensed products. - You can upgrade to the licensed product at any time during or after your trial.
Enter your first name, set a password and you're ready to go!
Pick the Framework you are using and hit the big blue button to download the trial. Select
- JAVASCRIPT if you are working with plain JS
- JQUERY if you are using jQuery or jQuery Mobile
- ANGULAR for Angular 4+ (including the latest version)
- IONIC for Ionic Framework
- REACT for React apps
- Finally, If you don't see the framework you are working with, pick USING SOMETHING ELSE. You can use the plain JS API wherever Javascript runs. Use it with VUE, Knockout ...
Here is how to install the trial in your local project
Step 1: Install the Mobiscroll CLI and configure the app
Install Mobiscroll CLI from NPM (you'll only have to do it once).
$ npm install -g @mobiscroll/cli
Run mobiscroll config angular in your terminal window.
$ mobiscroll config angular
If you are using other angular base app, the
mobiscroll config angular command will only help installing the Mobiscroll npm package. You will need to follow the next steps below.
Step 2. Load the stylesheets
Copy the code snippet with the CSS include and paste it to your index file. (This step may depend on your project's configuration. If your project has a specific css include location, then add the resource location there.)
<link href="/node_modules/@mobiscroll/angular/dist/css/mobiscroll.min.css" rel="stylesheet" />
Step 3. Import the mobiscroll module
To import Mobiscroll, open app/app.module.ts and add the following statement after the other imports.
import { MbscModule } from '@mobiscroll/angular';
import { FormsModule } from '@angular/forms';
Also add the MbscModule and the FormsModule to the imports enumeration
@NgModule({
imports: [
BrowserModule,
FormsModule,
MbscModule,
//...
],
// ...
})
export class AppModule { }
Finally, try and see if you installed it correctly by initializing a control. You’ll see a simple example with HTML and JS code that you’ll have to copy to your local file. Or you can grab the code from below. If you don't have a test file at hand, just download it from the same place.
<mbsc-datepicker [(ngModel)]="myBirthday" [options]="myOptions" placeholder="Please select..." />
import { Component } from '@angular/core';
import { MbscDatepickerOptions } from '@mobiscroll/angular';
@Component({
selector: 'demo-app',
templateUrl: './app.component.html',
})
export class AppComponent {
myBirthday: Date;
myOptions: MbscDatepickerOptions = {
theme: 'ios',
controls: ['calendar'],
};
}